Skip to main content
GET
/
v1
/
videos
/
{video_id}
Retrieve a video
curl --request GET \
  --url https://api.boson.ai/v1/videos/{video_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "video_8a1f2c3d4e5f6a7b8c9d0e1f",
  "object": "video",
  "model": "<string>",
  "progress": 123,
  "size": "<string>",
  "created_at": 123,
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Your Boson API key, sent as Authorization: Bearer $BOSON_API_KEY.

Path Parameters

video_id
string
required

The video ID returned by POST /v1/videos.

Response

The Video object.

A video generation job (the create / retrieve response).

id
string

Video ID, e.g. video_8a1f....

Example:

"video_8a1f2c3d4e5f6a7b8c9d0e1f"

object
enum<string>
default:video
Available options:
video
model
string
status
enum<string>

Job status.

Available options:
queued,
in_progress,
completed,
failed
progress
integer

Completion percentage (0–100).

size
string

Output size (WxH), e.g. 640x640.

created_at
integer

Unix timestamp (seconds).

error
string | null

Error message when status is failed.